org.icefaces.ace.component.panel

## Class Panel

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIPanel
      - - org.icefaces.ace.component.panel.PanelBase
        - - org.icefaces.ace.component.panel.Panel

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, IceClientBehaviorHolder, IPanel

      public class Panel
      extends PanelBase

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.icefaces.ace.component.panel.PanelBase

      `PanelBase.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PANEL_CLASS`
    `static java.lang.String` | `PANEL_CONTENT_CLASS`
    `static java.lang.String` | `PANEL_FOOTER_CLASS`
    `static java.lang.String` | `PANEL_TITLE_CLASS`
    `static java.lang.String` | `PANEL_TITLE_ICON_CLASS`
    `static java.lang.String` | `PANEL_TITLEBAR_CLASS`

    - ### Fields inherited from class org.icefaces.ace.component.panel.PanelBase

      `COMPONENT_TYPE, RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.component.UIPanel

      `COMPONENT_FAMILY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Panel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected javax.faces.context.FacesContext` | `getFacesContext()`
    `Menu` | `getOptionsMenu()`
    `void` | `processDecodes(javax.faces.context.FacesContext context)`
    `void` | `processUpdates(javax.faces.context.FacesContext context)`
    `void` | `processValidators(javax.faces.context.FacesContext context)`
    `void` | `queueEvent(javax.faces.event.FacesEvent event)`

    - ### Methods inherited from class org.icefaces.ace.component.panel.PanelBase

      `addClientBehavior, getCloseSpeed, getDefaultEventName, getDefaultExecute, getDefaultRender, getEventNames, getFamily, getFooter, getHeader, getListenerArgument, getStyle, getStyleClass, getToggleSpeed, getWidgetVar, isClosable, isCollapsed, isDisableInputs, isPreviousDisableInputs, isPropertySet, isToggleable, isVisible, setClosable, setCloseSpeed, setCollapsed, setDisableInputs, setFooter, setHeader, setPreviousDisableInputs, setStyle, setStyleClass, setToggleable, setToggleSpeed, setValueExpression, setVisible, setWidgetVar`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `getClientBehaviors`

- - ### Field Detail

    - #### PANEL_CLASS

          public static final java.lang.String PANEL_CLASS

      See Also:
        Constant Field Values

    - #### PANEL_TITLEBAR_CLASS

          public static final java.lang.String PANEL_TITLEBAR_CLASS

      See Also:
        Constant Field Values

    - #### PANEL_TITLE_CLASS

          public static final java.lang.String PANEL_TITLE_CLASS

      See Also:
        Constant Field Values

    - #### PANEL_TITLE_ICON_CLASS

          public static final java.lang.String PANEL_TITLE_ICON_CLASS

      See Also:
        Constant Field Values

    - #### PANEL_CONTENT_CLASS

          public static final java.lang.String PANEL_CONTENT_CLASS

      See Also:
        Constant Field Values

    - #### PANEL_FOOTER_CLASS

          public static final java.lang.String PANEL_FOOTER_CLASS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Panel

          public Panel()

  - ### Method Detail

    - #### getOptionsMenu

          public Menu getOptionsMenu()

    - #### queueEvent

          public void queueEvent(javax.faces.event.FacesEvent event)

      Overrides:
        `queueEvent` in class `javax.faces.component.UIComponentBase`

    - #### processDecodes

          public void processDecodes(javax.faces.context.FacesContext context)

      Overrides:
        `processDecodes` in class `javax.faces.component.UIComponentBase`

    - #### processValidators

          public void processValidators(javax.faces.context.FacesContext context)

      Overrides:
        `processValidators` in class `javax.faces.component.UIComponentBase`

    - #### processUpdates

          public void processUpdates(javax.faces.context.FacesContext context)

      Overrides:
        `processUpdates` in class `javax.faces.component.UIComponentBase`

    - #### getFacesContext

          protected javax.faces.context.FacesContext getFacesContext()

      Overrides:
        `getFacesContext` in class `javax.faces.component.UIComponentBase`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.